Zeitgeist.Subject – zeitgeist-2.0 Reference Manual

# Subject

## Object Hierarchy:

## Description:

public class Subject : `Object`

Subject objects abstract Zeitgeist subjects

In Zeitgeist terminology, a subject is something (a file, web page, person, conversation, etc.) that was somehow involved or affected by a Event.

Namespace: Zeitgeist
Package: zeitgeist-2.0

## Content:

### Properties:

- public `string`? uri { set; get; }
- public `string`? origin { set; get; }
- public `string`? text { set; get; }
- public `string`? storage { set; get; }
- public `string`? current_uri { set; get; }
- public `string`? current_origin { set; get; }
- public `string`? mimetype { set; get; }
- public `string`? interpretation { set; get; }
- public `string`? manifestation { set; get; }

### Creation methods:

- public Subject.full (`string`? uri = null, `string`? interpretation = null, `string`? manifestation = null, `string`? mimetype = null, `string`? origin = null, `string`? text = null, `string`? storage = null)
  Create a new Subject structure with predefined data
- public Subject.move_event (`string`? source_uri = null, `string`? source_origin = null, `string`? destination_uri = null, `string`? destination_origin = null, `string`? interpretation, `string`? manifestation = null, `string`? mimetype = null, `string`? text = null, `string`? storage = null)
  Create a new Subject structure to describe a move event
- public Subject.from_variant (`Variant` subject_variant) throws DataModelError
  Create a new Subject structure from predefined `GLib.Variant` data
- public Subject ()

### Methods:

- public `Variant` to_variant ()
- public `bool` matches_template (Subject template_subject)

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count